$kind: http-request
url: "{{requisitions/fuel-requisitions"
method: GET
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
  Accept: application/json
body:
  type: json
  content: "{\r

    \  \"department_id\":\"ca1157b6-57ad-46dc-b1f7-e4fe3239d6e2\",\r

    \  \"truck_id\": \"b9222ca2-14dc-466e-8453-52743bfbed15\",\r

    \  \"budget_item_id\": null,\r

    \  \"project_id\":null,\r

    \  \"amount\": 1500,\r

    \  \"trip\": \"Round trip to Site A\",\r

    \  \"total_round_kilometers\": 320,\r

    \  \"reason\": \"Fuel refill for delivery\",\r

    \  \"last_quantity_fuel_used\": \"60L\",\r

    \  \"last_mileage\": \"185000\"\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{sahara_token}}"
scripts:
  - type: afterResponse
    code: "var template = `\r

      <style type=\"text/css\">\r

      \    .tftable {font-size:14px;color:#333333;width:100%;border-width:
      1px;border-color: #87ceeb;border-collapse: collapse;}\r

      \    .tftable th {font-size:18px;background-color:#87ceeb;border-width:
      1px;padding: 8px;border-style: solid;border-color:
      #87ceeb;text-align:left;}\r

      \    .tftable tr {background-color:#ffffff;}\r

      \    .tftable td {font-size:14px;border-width: 1px;padding:
      8px;border-style: solid;border-color: #87ceeb;}\r

      \    .tftable tr:hover {background-color:#e0ffff;}\r

      </style>\r

      \r

      <table class=\"tftable\" border=\"1\">\r

      \    <tr>\r

      \        <th>Success</th>\r

      \        <th>Message</th>\r

      \        <th>Errors</th>\r

      \        <th>Data</th>\r

      \    </tr>\r

      \    <tr>\r

      \        <td>{{success}}</td>\r

      \        <td>{{message}}</td>\r

      \        <td>{{errors}}</td>\r

      \        <td>{{data}}</td>\r

      \    </tr>\r

      </table>\r

      `;\r

      \r

      function constructVisualizerPayload() {\r

      \    return {response: pm.response.json()}\r

      }\r

      \r

      pm.visualizer.set(template, constructVisualizerPayload());"
    language: text/javascript
order: 4000
